BNBOT(1)

NAME
bnbot - Battle.net text-based chat bot client

SYNOPSIS
bnbot [options] servername [serverport]

DESCRIPTION
bnbot is a simple program which will allow communication through the bot protocol of a Battle.net server from the command line. Input from stdin is sent to the server and output from the server is send to stdout. The interface is so simple that telnet(1) could be used. The only complicating factor is that a control-C character must be sent to the server before any other input.

It is hoped that this program can be used with a scripting language like expect(1) to make creation of chat bots for Unix easier. To date, I don't know of anyone doing this. This program may also be used to test bot login permissions for accounts.

If no servername is specified, localhost is assumed. If no serverport is specified, 6112 is assumed.

OPTIONS

-h --help --usage
    Print usage information and exit.

-v --version
    Print its version number and exit.

NOTES
The current version is available with the bnetd distribution at:

    http://www.bnetd.org/

BUGS
The terminal settings are not consulted for keybindings. The following are assumed:

^H  delete the character to the left of the cursor

^J  accept current line

^M (return)
    accept current line

^T  transpose the last two characters

^W  delete word to the left of the cursor

^U  delete the whole input line

^[ (escape)
    cancel the current input line

^? (delete)
    delete the character to the left of the cursor

SEE ALSO
bnetd(1), bnchat(1)

AUTHOR

Ross Combs (ross@bnetd.org)